Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
commit: c70abea24cb4bb1873fe88bc38c0feb7abe687d0
Author: Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 7 06:12:53 2011 +0000
Commit: Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 01:31:29 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=c70abea2
net-libs/gtk-vnc: add live ebuild
---
.../files/gtk-vnc-0.4.3-outoftree-build.patch | 21 +++
net-libs/gtk-vnc/gtk-vnc-9999.ebuild | 153 ++++++++++++++++++++
2 files changed, 174 insertions(+), 0 deletions(-)
diff --git a/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch b/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch
new file mode 100644
index 0000000..36a3a3a
--- /dev/null
+++ b/net-libs/gtk-vnc/files/gtk-vnc-0.4.3-outoftree-build.patch
@@ -0,0 +1,21 @@
+diff --git a/src/Makefile.am b/src/Makefile.am
+index 37f8444..2f72fa6 100644
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -279,14 +279,14 @@ GVNC_INTROSPECTION_SRCS = \
+ $(srcdir)/vnccolormap.h $(srcdir)/vnccolormap.c \
+ $(srcdir)/vnccursor.h $(srcdir)/vnccursor.c \
+ $(srcdir)/vncconnection.h $(srcdir)/vncconnection.c \
+- $(builddir)/vncconnectionenums.h $(builddir)/vncconnectionenums.c \
++ $(srcdir)/vncconnectionenums.h $(srcdir)/vncconnectionenums.c \
+ $(srcdir)/vncutil.h $(srcdir)/vncutil.c
+
+ GTK_VNC_INTROSPECTION_SRCS = \
+ $(srcdir)/vnccairoframebuffer.h $(srcdir)/vnccairoframebuffer.c \
+ $(srcdir)/vncdisplay.h $(srcdir)/vncdisplay.c \
+ $(srcdir)/vncgrabsequence.h $(srcdir)/vncgrabsequence.c \
+- $(builddir)/vncdisplayenums.h $(builddir)/vncdisplayenums.c
++ $(srcdir)/vncdisplayenums.h $(srcdir)/vncdisplayenums.c
+
+ if HAVE_GTK_2
+ GTK_VNC_INTROSPECTION_SRCS += \
diff --git a/net-libs/gtk-vnc/gtk-vnc-9999.ebuild b/net-libs/gtk-vnc/gtk-vnc-9999.ebuild
new file mode 100644
index 0000000..653531e
--- /dev/null
+++ b/net-libs/gtk-vnc/gtk-vnc-9999.ebuild
@@ -0,0 +1,153 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/gtk-vnc/gtk-vnc-0.4.3-r1.ebuild,v 1.6 2011/10/30 17:24:14 armin76 Exp $
+
+EAPI="3"
+GNOME2_LA_PUNT="yes"
+GNOME_TARBALL_SUFFIX="xz"
+
+inherit autotools eutils base gnome.org python
+if [[ ${PV} = 9999 ]]; then
+ inherit gnome2-live
+fi
+
+DESCRIPTION="VNC viewer widget for GTK"
+HOMEPAGE="http://live.gnome.org/gtk-vnc"
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="alpha amd64 ia64 ppc ppc64 sparc x86 ~x86-fbsd"
+fi
+IUSE="examples +gtk3 +introspection python sasl +vala"
+
+# libview is used in examples/gvncviewer -- no need
+# TODO: review nsplugin when it will be considered less experimental
+
+COMMON_DEPEND=">=dev-libs/glib-2.10:2
+ >=net-libs/gnutls-1.4
+ >=x11-libs/cairo-1.2
+ >=x11-libs/gtk+-2.18:2
+ x11-libs/libX11
+ gtk3? ( >=x11-libs/gtk+-2.91.3:3 )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.4 )
+ python? ( >=dev-python/pygtk-2:2 )
+ sasl? ( dev-libs/cyrus-sasl )"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ dev-util/pkgconfig
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ vala? (
+ dev-lang/vala:0.14
+ >=dev-libs/gobject-introspection-0.9.4 )"
+
+if [[ ${PV} = 9999 ]]; then
+ # Needed by src/keymap-gen.pl to autogenerate keymap .c/.h files
+ # Not needed in the tarball because they're created during distcheck
+ DEPEND="${DEPEND}
+ dev-perl/Text-CSV"
+fi
+
+GTK2_BUILDDIR="${WORKDIR}/${P}_gtk2"
+GTK3_BUILDDIR="${WORKDIR}/${P}_gtk3"
+
+pkg_setup() {
+ python_set_active_version 2
+}
+
+src_prepare() {
+ python_convert_shebangs -r 2 .
+ mkdir "${GTK2_BUILDDIR}" || die
+ mkdir "${GTK3_BUILDDIR}" || die
+
+ # Remove a few files that were autogenerated during distcheck.
+ # Having these around in srcdir breaks out of tree build since they're
+ # expected to be in builddir, which is correct for trunk builds since
+ # they're generated files, not source files. Funny false dichotomy.
+ rm -vf "${S}"/src/{vncconnectionenums.[ch],vncdisplayenums.[ch]}
+
+ # Fix incorrect codegendir check: h2def.py is in pygobject, not pygtk
+ sed -e 's/codegendir pygtk-2.0/codegendir pygobject-2.0/g' \
+ -i src/Makefile.* || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf
+ myconf="
+ $(use_with examples) \
+ $(use_enable vala) \
+ $(use_enable vala introspection) \
+ $(use_enable introspection) \
+ $(use_with sasl) \
+ VAPIGEN=$(type -P vapigen-0.14) \
+ --with-coroutine=gthread \
+ --without-libview \
+ --disable-static"
+
+ cd ${GTK2_BUILDDIR}
+ einfo "Running configure in ${GTK2_BUILDDIR}"
+ ECONF_SOURCE="${S}" econf ${myconf} \
+ $(use_with python) \
+ --with-gtk=2.0
+
+ if use gtk3; then
+ cd ${GTK3_BUILDDIR}
+ einfo "Running configure in ${GTK3_BUILDDIR}"
+ # Python support is via gobject-introspection
+ # Ex: from gi.repository import GtkVnc
+ ECONF_SOURCE="${S}" econf ${myconf} \
+ --with-python=no \
+ --with-gtk=3.0
+ fi
+}
+
+src_compile() {
+ cd ${GTK2_BUILDDIR}
+ einfo "Running make in ${GTK2_BUILDDIR}"
+ emake || die
+
+ if use gtk3; then
+ cd ${GTK3_BUILDDIR}
+ einfo "Running make in ${GTK3_BUILDDIR}"
+ emake || die
+ fi
+}
+
+src_test() {
+ cd ${GTK2_BUILDDIR}
+ einfo "Running make check in ${GTK2_BUILDDIR}"
+ emake check || die
+
+ if use gtk3; then
+ cd ${GTK3_BUILDDIR}
+ einfo "Running make check in ${GTK3_BUILDDIR}"
+ emake check || die
+ fi
+}
+
+src_install() {
+ dodoc AUTHORS ChangeLog NEWS README || die
+
+ cd ${GTK2_BUILDDIR}
+ einfo "Running make install in ${GTK2_BUILDDIR}"
+ # bug #328273
+ MAKEOPTS="${MAKEOPTS} -j1" base_src_install
+
+ if use gtk3; then
+ cd ${GTK3_BUILDDIR}
+ einfo "Running make install in ${GTK3_BUILDDIR}"
+ # bug #328273
+ MAKEOPTS="${MAKEOPTS} -j1" base_src_install
+ fi
+
+ python_clean_installation_image
+
+ # Remove .la files
+ find "${ED}" -name '*.la' -exec rm -f '{}' + || die
+}
|
|